Subject: [ietf-nomcom] Fwd: New Version Notification for draft-dawkins-iesg-nomcom-advisor-iaoc-00.txt

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 2 Aug 2017 16:30:41 -0500

Dear Nomcom Process Devotees,

Alissa has asked me to put together a short(!) draft that will remind
future Nomcoms to request IAOC to provide an Advisor.

Details are below.

I'd like to discuss this draft on this mailing list initially.

Please comment and question as appropriate.

Thanks,

Spencer

---------- Forwarded message ----------
From: <[email-masked]>
Date: Wed, Aug 2, 2017 at 4:27 PM
Subject: New Version Notification for
draft-dawkins-iesg-nomcom-advisor-iaoc-00.txt
To: Spencer Dawkins <[email-masked]>

A new version of I-D, draft-dawkins-iesg-nomcom-advisor-iaoc-00.txt
has been successfully submitted by Spencer Dawkins and posted to the
IETF repository.

Name:           draft-dawkins-iesg-nomcom-advisor-iaoc
Revision:       00
Title:          IAB, IESG, and IAOC Selection, Confirmation, and Recall
Process: IAOC Advisor for the Nominating Committee
Document date:  2017-08-02
Group:          Individual Submission
Pages:          6
URL:            https://www.ietf.org/internet-drafts/draft-dawkins-iesg-
nomcom-advisor-iaoc-00.txt
Status:         https://datatracker.ietf.org/doc/draft-dawkins-iesg-nomcom-
advisor-iaoc/
Htmlized:       https://tools.ietf.org/html/draft-dawkins-iesg-nomcom-
advisor-iaoc-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-dawkins-iesg-
nomcom-advisor-iaoc-00

Abstract:
   This specification formalizes an ad hoc practice used to provide
   advice to the IETF Nominating Committee about the operations of the
   IETF Administrative Oversight Committee.

   This document updates RFC 7437.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 3 Aug 2017 11:05:25 +1200

On 03/08/2017 09:30, Spencer Dawkins at IETF wrote:
> I'd like to discuss this draft on this mailing list initially> 

It's a good idea. In fact it's so obviously a good idea that I'm not sure
it needs as much rationale as you've included; personally I'd be happy with
just section 6 plus boilerplate. But the rationale does no harm.

Regards
   Brian 

> _______________________________________________
> ietf-nomcom mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-nomcom
>

---

From: "Bradner, Scott" <[email-masked]>
Date: Wed, 2 Aug 2017 23:12:31 +0000

seems well thought out to me

Scott

> On Aug 2, 2017, at 5:30 PM, Spencer Dawkins at IETF <[email-masked]> wrote:
> 
> Alissa has asked me to put together a short(!) draft that will remind future Nomcoms to request IAOC to provide an Advisor.
> 
> Details are below.
> 
> Subject: New Version Notification for draft-dawkins-iesg-nomcom-advisor-iaoc-00.txt
> Title:          IAB, IESG, and IAOC Selection, Confirmation, and Recall Process: IAOC Advisor for the Nominating Committee
> URL:            https://www.ietf.org/internet-drafts/draft-dawkins-iesg-nomcom-advisor-iaoc-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-dawkins-iesg-nomcom-advisor-iaoc/
> Htmlized:       https://tools.ietf.org/html/draft-dawkins-iesg-nomcom-advisor-iaoc-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-dawkins-iesg-nomcom-advisor-iaoc-00
> 
> 
> Abstract:

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 3 Aug 2017 10:09:04 +0100

Hey Spencer,
 
Thanks for this work. Will help the whole thing go better.
 
My gut feeling is to be nervous about "an advisor who is knowledgeable about IAOC operations" but not actually serving on the IAOC is that the input and feedback about the operation, direction, and needs of the *current* IAOC may be significantly skewed.
 
You would not, I think, suggest that the advisory part of the role of the IESG liaison could be filled by a non-serving person.
 
I do understand that you are trying to find a way in which the advisor is not selected from a pool of one. But that might be a price that is not worth paying.
 
Anyway, I see the IAOC made up as:
 
- appointed by NomCom for 2 years (odd year)
- appointed by NomCom for 2 years (even year)
- appointed by the IESG for 2 years (even year)
- appointed by the IAB for 2 years (odd year)
- appointed by the ISOC Board of Trustees for two years (even year)
- ISOC President/CEO (ex officio) (annual)
- IETF Chair (ex officio) (two year cycle, odd year)
- IAB Chair (ex officio) -(annual)
- IAD (non-voting) (annual)
 
It is debatable whether you would want any of the bottom four to be the advisor although I note that you haven't excluded them in your text.
I assume that you do not want a candidate to be the advisor (and maybe you should explicitly make that point?).
Obviously outgoing (i.e., standing down) members could be the advisor.
So in odd years you appear to have a choice of at least 3 members (possibly more if someone plans to stand down).
And in even years you appear to have a choice of at least 2 members (possibly more if someone plans to stand down).
 
I consider that preferable to allowing the IAOC to send someone who might not have the right reading of the current dynamic.
 
It should not be the case that this advisor role is a significant additional burden on the workload.
 
Thanks,
Adrian
 
From: ietf-nomcom [mailto:[email-masked]] On Behalf Of Spencer Dawkins at IETF
Sent: 02 August 2017 22:31
To: NomCom-Discussion
Cc: Alexey Melnikov
Subject: [ietf-nomcom] Fwd: New Version Notification for draft-dawkins-iesg-nomcom-advisor-iaoc-00.txt

 
Details are below.

 
Thanks,
 
Spencer
 
---------- Forwarded message ----------
From: <[email-masked]>
Date: Wed, Aug 2, 2017 at 4:27 PM
Subject: New Version Notification for draft-dawkins-iesg-nomcom-advisor-iaoc-00.txt
To: Spencer Dawkins <[email-masked]>

Abstract:

The IETF Secretariat

---

From: "Bradner, Scott" <[email-masked]>
Date: Thu, 3 Aug 2017 10:40:42 +0000

seems to me that someone who has served on the IAOC within the past few years would be knowledgeable enough about 
the operation to be useful 

Scott

> On Aug 3, 2017, at 5:09 AM, Adrian Farrel <[email-masked]> wrote:
> 
> Hey Spencer,
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 3 Aug 2017 09:22:09 -0400

Could the IETF’s Administrative Director serve as the advisor? He or she
would certainly be knowledgeable about the IAOC. Or is there a prohibition
that prevents the AD from advising Nomcom?

Cheers,
Andy

On Thu, Aug 3, 2017 at 6:40 AM, Bradner, Scott <[email-masked]> wrote:

> seems to me that someone who has served on the IAOC within the past few
> years would be knowledgeable enough about
> > My gut feeling is to be nervous about "an advisor who is knowledgeable
> about IAOC operations" but not actually serving on the IAOC is that the
> input and feedback about the operation, direction, and needs of the
> *current* IAOC may be significantly skewed.
> >
> > You would not, I think, suggest that the advisory part of the role of
> the IESG liaison could be filled by a non-serving person.
> >
> > I do understand that you are trying to find a way in which the advisor
> is not selected from a pool of one. But that might be a price that is not
> worth paying.
> >
> > It is debatable whether you would want any of the bottom four to be the
> advisor although I note that you haven't excluded them in your text.
> > So in odd years you appear to have a choice of at least 3 members
> (possibly more if someone plans to stand down).
> > And in even years you appear to have a choice of at least 2 members
> (possibly more if someone plans to stand down).
> >
> > I consider that preferable to allowing the IAOC to send someone who
> might not have the right reading of the current dynamic.
> >
> > Subject: [ietf-nomcom] Fwd: New Version Notification for
> > Status:         https://datatracker.ietf.org/
> doc/draft-dawkins-iesg-nomcom-advisor-iaoc/
> > Htmlized:       https://datatracker.ietf.org/
> doc/html/draft-dawkins-iesg-nomcom-advisor-iaoc-00
> >
> >
> > Abstract:

---

From: "Bradner, Scott" <[email-masked]>
Date: Thu, 3 Aug 2017 13:36:03 +0000

that would be  the IAD influencing the selection of the people that he or she reports to - does not seem like a good idea

Scot

> On Aug 3, 2017, at 9:22 AM, Andrew G. Malis <[email-masked]> wrote:
> 
> Could the IETF’s Administrative Director serve as the advisor? He or she would certainly be knowledgeable about the IAOC. Or is there a prohibition that prevents the AD from advising Nomcom?
> 
> Cheers,
> Andy
> 
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 3 Aug 2017 09:39:57 -0400

Scott,

There is that … :-)

Cheers,
Andy

On Thu, Aug 3, 2017 at 9:36 AM, Bradner, Scott <[email-masked]> wrote:

> that would be  the IAD influencing the selection of the people that he or
> she reports to - does not seem like a good idea
>
> Scot
>
> > > It is debatable whether you would want any of the bottom four to be
> the advisor although I note that you haven't excluded them in your text.
> > > Title:          IAB, IESG, and IAOC Selection, Confirmation, and
> Recall Process: IAOC Advisor for the Nominating Committee
> > > URL:            https://www.ietf.org/internet-
> drafts/draft-dawkins-iesg-nomcom-advisor-iaoc-00.txt

---

From: John C Klensin <[email-masked]>
Date: Thu, 03 Aug 2017 13:01:37 -0400

--On Wednesday, August 2, 2017 16:30 -0500 Spencer Dawkins at
IETF <[email-masked]> wrote:

> Alissa has asked me to put together a short(!) draft that will
> remind future Nomcoms to request IAOC to provide an Advisor.
> 
> Details are below.
> 

Spencer,

While I concur with those who have indicated that this draft is
ok (or close) assuming that is what the community wants to do, I
want to raise a question about the latter that may or may not be
directly relevant to the document.  

As time has passed and the Nomcom has apparently become
increasingly dependent on questionnaires, interviews, and
Advisors rather than first-hand knowledge of possible candidates
by the voting members, questions of influences on the Nomcom
become increasingly important.  For the Nomcom to invite someone
from a particular body to attend a meeting or call to offer
advice on specific issues (consistent with RFC 7437 Section 4.3,
second paragraph), a standing Advisor (or Liaison) role is
another matter and, other than the technical considerations
about oversight of the Nomcom process and the "sitting member"
requirements that you describe in Section 4 of the I-D, it is
not clear that you (and the draft) anticipate any difference in
practice.

My concern about all of these roles is the potential for the
appearance of undue influence.  Is a particular Liaison or
Advisor likely to defend a colleague in the same organization?
Or exaggerate faults to get rid of one who is personally
unpopular with the Liaison or Advisor (or even the whole body)?
Is the presence of an incumbent likely to have a chilling effect
on a community member who wants to make a well-thought-out
argument for, e.g., throwing as many of the incumbents out as
possible and starting over on that body?  (I know the answer to
the latter is "yes", the only questions are how widespread and
important it is).)   When the Nomcom was first designed and the
community assumed that a significant number, perhaps most, of
its members would have sufficient experience with likely
candidates, that was, itself, a safeguard against abuses.  Now,
that is not so clear. 

So it seems to me that we should be at least considering:

(1) Encouraging Nomcoms to ask whatever questions about
operation, job requirements, etc., seem appropriate of various
bodies without needing to rely on Liaisons or Advisors for that
rule.

(2) Trying to figure out how to isolate Liaisons and Advisors
from input (especially informal input) to the Nomcom about the
membership, operations at a personal level, and possible
candidates for their (and probably other) bodies and to do so in
a way that increases community confidence that the Nomcom is
seeking out and considering all of the information it wants or
needs rather than even potentially being unduly influenced by
representatives of bodies to which it is making appointments.
While I agree with the observations about allowing an IAD to
influence appointments to the body that hires and oversees him
or her, very nearly the same observation could apply to allowing
an IAB or IESG member to influence choices of people he or she
will ultimately need to work, with, who will support or impede
their agendas, etc.

(3) Encourage the Nomcom to invite Liaisons or Advisors to only
participate in discussions for which they are directly and
obviously relevant and, in the interest of transparency and
increased confidence in the process, document those choices for
the community

(4) More than 20 years into the current model, perhaps many of
the same arguments apply to "sitting members" of other bodies
that you have made for the IAOC appointee.  Similarly, perhaps
it is time to consider whether the job of overseeing the
propriety of the Nomcom process ought to be linked with giving
the Nomcom advice about particular bodies or even particular
candidates or appointments.

best,
   john

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 3 Aug 2017 12:41:32 -0500

Hi, Adrian,

> Thanks for this work. Will help the whole thing go better.

Thanks for the feedback.

> *current* IAOC may be significantly skewed.

I'm not wild about allowing this, but ...

> You would not, I think, suggest that the advisory part of the role of the
> IESG liaison could be filled by a non-serving person.
>
>
>
> I do understand that you are trying to find a way in which the advisor is
> not selected from a pool of one. But that might be a price that is not
> worth paying.
>
>
>

I did a pre-submission version of this draft that tried to do this
analysis, and it turned into a swamp.

Just as one example - multiple people have expressed to me that ex officio
members of IAOC should be eligible to serve even if their positions are
under review, as long as they've said they aren't willing to serve again,
but the Nomcom always has the ability to waterboard an incumbent into
serving another term if that's the right thing to do, and I'd need to add
text to say whether serving as an advisor to a Nomcom disqualifies you from
being returned by that Nomcom -
https://tools.ietf.org/html/rfc7437#section-4.8 sidesteps that for
liaisons, but there's not text that I can find that does the same for
advisors.

Given that Alissa has already kicked off IASA 2.0, I'm thinking that it's
fairly likely that carefully tuned text that addresses all the corner cases
we can think of,  would be Overtaken By Events before it gets used. So, I
wrote this as being permissive ("Nomcoms can ask for advisors, and IAOCs
can provide advisors"), and assumed that the worst consequences I can
imagine could be challenged by the Nomcom membership.

Your mileage may vary, of course.

> I consider that preferable to allowing the IAOC to send someone who might
> not have the right reading of the current dynamic.
>

I'm sympathetic to this point of view, but note that I served as the IAB's
liaison to Nomcom during my first year on the IAB, and it's certainly
arguable that the recently departed IAB members probably knew more about
the IAB than I did, just a few months in :-) ...

Spencer

It should not be the case that this advisor role is a significant
> additional burden on the workload.
>
>
>
> Thanks,
>
> Adrian
>
>
>
> *From:* ietf-nomcom [mailto:[email-masked]] *On Behalf Of *Spencer
> Dawkins at IETF
> *Sent:* 02 August 2017 22:31
> *To:* NomCom-Discussion
> *Cc:* Alexey Melnikov
> *Subject:* [ietf-nomcom] Fwd: New Version Notification for

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 3 Aug 2017 12:53:03 -0500

Hi, John,

> not clear that you (and the draft) anticipate any difference in

I'm definitely working the "series of incremental updates" side of the
street.

I understand your concerns (below), and agree with about three quarters of
them without further discussion.

These concerns do go quite a bit beyond what Alissa asked me to work on,
but I will pass this along to the rest of the IESG and see what they think.

Thanks for the input.

Spencer

---

From: S Moonesamy <[email-masked]>
Date: Fri, 11 Aug 2017 14:34:57 -0700

Hi John,
>become increasingly important.  For the Nomcom to invite someone

Yes, it seems that Nomcom relies on the questionnaires and interviews 
instead of having first-hand knowledge of the possible candidates.

>bodies without needing to rely on Liaisons or Advisors for that

Is there an issue for which it would be more efficient for a person 
with knowledge of the inner workings to get the information from the 
IAOC?  If that is not the case, the healthy choice would be for 
Nomcom to ask questions about the job requirements and/or the 
operations of the body.

Regards,
S. Moonesamy